Nowe posty

xx Migracja GRUB2 (0)
Wczoraj o 12:30:46
xx Przydatne Linki (4)
2019-08-23, 14:13:00
xx Awstat (0)
2019-08-22, 14:55:15
xx SMB - Access denied z Windows (9)
2019-08-19, 11:27:24
xx Kali Linux - książka. (0)
2019-08-19, 00:20:25
xx Arch - startx dla uruchomienia GNOME powoduje wyłączenie komputera (6)
2019-08-18, 14:37:04
xx Nie moge urchmomic laptopa - grub rescue. (1)
2019-08-17, 18:24:00
xx Po aktualizacji zniknęły niektóre funkcje (45)
2019-08-14, 06:39:01
xx Operacje na bitach. (4)
2019-08-10, 21:44:36
xx Pblem z montowaniem dysku sieciowego (1)
2019-08-09, 23:36:45

Pokaż wiadomości

Ta sekcja pozwala Ci zobaczyć wszystkie wiadomości wysłane przez tego użytkownika. Zwróć uwagę, że możesz widzieć tylko wiadomości wysłane w działach do których masz aktualnie dostęp.


Wiadomości -

Strony: [1] 2 3 ... 7
1
Tips & Tricks / Odp: Znajdź w plikach i skasuj całą linię
« dnia: 2015-09-29, 16:57:15 »
Dla bieżącego użytkownika:
find ~/public_html/ -iname '*.php' | xargs sed -i '/bd26efa2f27f70847ba9a8619d6a3a5c/d'

Dla wszystkich użytkowników:
find /home/*/public_html/ -iname '*.php' | xargs sed -i '/bd26efa2f27f70847ba9a8619d6a3a5c/d'

2
Cytat: ambrozykleks
Mam taki kłopot, wyskakuje mi taki komunikat gdy chciałem obejrzec  konferencję online na clickwebinar:

"Ups!
Wygląda na to, że wersja wtyczki Flash Player jest nieaktualna.

Chcesz w pełni korzystać z wszystkich funkcjonalności ClickMeeting? Zainstaluj najnowszą wersję
wtyczki i zacznij już teraz.To proste i zajmie zaledwie kilka chwil. "

Przeszukałem wszystko i teraz zwracam się o pomoc. Czy ktoś wie jak to poprawnie zrobić? Instalowałem ją według różnych wskazówek w internecie i poprostu nic dalej to samo wyskakuje. Żadnych błędów podczas wpisywania poleceń w terminalu nie ma. Ale może robiłem to źle.
Jak zauważył pkraszewski ClickMeeting wymaga wtyczki Adobe Flash Player w wersji 11.3 lub wyższej.
Niestety, wtyczka Flash Player korzystająca z NPAPI (wykorzystywana przez takie przeglądarki jak Firefox/Iceweasel, SeaMonkey/Iceape czy starą Operę 12.x) dla systemu Linux oferowana bezpośrednio przez Adobe zatrzymała się na wersji 11.2. Dzięki partnerstwu z Google dostępna jest jednak wtyczka Flash Player korzystająca z PPAPI, która jest dołączana do przeglądarki Google Chrome. Można jej używać także w przeglądarkach bazujących na Chromium (Chromium, SRWare Iron, nowa Opera). W Debianie i pochodnych dostępny jest pakiet pepperflashplugin-nonfree ułatwiający instalację tej wtyczki w Chromium.
Dzięki Fresh Player Plugin możliwe jest także wykorzystanie wtyczki PPAPI w przeglądarkach posiadających obsługę wtyczek NPAPI (m.in. Firefox).
Możliwe jest także wykorzystanie wtyczki Adobe Flash Player przeznaczonej dla systemów z rodziny Windows w przeglądarkach wspierających NPAPI dzięki projektowi Pipelight. To rozwiązanie ma jednak szereg wad wynikających z niedopracowania WINE które jest tutaj wykorzystywane.

Podsumowując, oto możliwe rozwiązania:
1. Wykorzystanie przeglądarki Google Chrome.
2. Wykorzystanie przeglądarki opartej na Chromium (Chromium, SRWare Iron, nowa Opera). Należy tutaj pamiętać o posłużeniu się wtyczką Flash z przeglądarki Google Chrome (patrz: pepperflashplugin-nonfree).
3. Wykorzystanie dotychczasowej przeglądarki obsługującej wtyczki NPAPI (Firefox/Iceweasel, SeaMonkey/Iceape czy starej Opery 12.x) i skorzystanie z Fresh Player Plugin.
4. Wykorzystanie dotychczasowej przeglądarki obsługującej wtyczki NPAPI (Firefox/Iceweasel, SeaMonkey/Iceape czy starej Opery 12.x) i skorzystanie z Pipelight.

Cytat: pkraszewski
Ostatnia wersja Flasha dostępna na Linuksa: 11.2
Cytuj
UWAGA: Program Adobe Flash Player 11.2 będzie ostatnią nową wersją obsługującą platformę Linux. Firma Adobe będzie nadal wprowadzać poprawki dotyczące zabezpieczeń do programu Flash Player 11.2 dla systemu Linux.
Wersja flasha wymagana przez ClickMeeting: 11.3
Cytuj
What are the software requirements to run ClickMeeting?
(...)
Adobe® Flash® Player 11.3 for all users (hosts, presenters, participants, and administrators).
Swój żal i frustrację możesz skierować na następujący adres:
Cytuj
Adobe Systems Incorporated
345 Park Avenue
San Jose, CA 95110-2704
albo na następujący adres:
Cytuj
ClickMeeting Head Office
Ul. Arkońska 6/a3
80-387 Gdańsk
Błąd w żadnym wypadku nie leży po stronie Linuksa. Winne jest oprogramowanie firm trzecich.
Proszę wybaczyć, ale zwykłych użytkowników nie obchodzi czyja to wina tylko jak sobie z danym problemem poradzić.

Cytat: Lord Darius
Nie wiem dlaczego ludzie nie opisują wykonanych przez siebie procedur, związanych założonym wątkiem.
Może należy zadbać tutaj o etat dla wróżbity?

1. Na Debianie przy odpowiednich wpisach w sources.list wystarczyło wklepać

apt-get install flashplugin-nonfree --reinstall
Jeśli to nie pomoże to:

2. Co takiego wykonałeś do tej pory.
3. Wklej tutaj zawartość Twojego sources.list
Pakiet flashplugin-nonfree w Debianie i pochodnych odnosi się do wtyczki NPAPI. Przeinstalowanie go nic nie da bo problemem nie dotyczy braku wtyczki tylko jej wersji.

3
Administracja / Uprawnienia w /opt
« dnia: 2015-02-26, 22:14:40 »
Cytat: pingwindyktator
Witam.
Katalog /opt/Qt/ jest własnoscią roota. Jednak program qt creator znajdujący się w tym katalogu mogę bez problemu uruchomić jako użytkownik. Inaczej ma się sprawa z Eclipse, które instalowałem. Skopiowałem katalog do /opt/ mając uprawnienia root (inaczej się nie da). Teraz Eclipse nie mogę uruchomić jako użytkownik nie-root. Jak to możliwe, że z Qt Creator jest inaczej i jak naprawić eclipse?
Właścicielem może być root. Ważne, żeby pozostali użytkownicy mieli prawo odczytu/wykonywania.

4
Inne urządzenia / Drukarka LEXMARK E350D
« dnia: 2015-01-23, 16:58:26 »
Cytat: Jsn
Dzięki za wszelkie podpowiedzi:)
Wpisałem w termianlu lpadmin -p -o usb-no-reattach-default=true
Wyskoczyło mi:
bash: Lexmark: Nie ma takiego pliku ani katalogu
Próbowałem również bez <             >  i wyskoczyło  lpadmin: Unknown argument "E350d".
Jako nazwy użyłem właściwości  urządzenia- próbowałem "Opis urzadzenia" to jest: Lexmark International Lexmark E350d  oraz "producent i model"to jest :Lexmark E350d
Nazwę drukarki możesz otrzymać przy pomocy polecania lpstat:
lpstat -v
Zakładając, że nazwa drukarki to Lexmark-E350d polecenie mogłoby wyglądać następująco:
lpadmin -p Lexmark-E350d -o usb-no-reattach-default=true

5
Inne / Zapisanie polecenia yum do pliku
« dnia: 2015-01-22, 19:42:47 »
Cytat: Zagiewa
Witam. Potrzebuje wywołać polecenie yum install firefox a wynik zapisać do pliku.
Próbowałem yum install firefox > plik.txt ale nie działa a przynajmniej nie do końca. Jest jakieś rozwiązanie?
Przekieruj standardowy strumień błędów w to samo miejsce co standardowy strumień wyjścia za pomocą 2>&1 lub od razu przekieruj obydwa w jedno miejsca przy użyciu &>.
yum install firefox > plik.txt 2>&1
yum install firefox &> plik.txt

6
Jaką dystrybucję wybrać? / Linux USB live do gier
« dnia: 2014-12-04, 22:25:32 »
Cytat: InsaneVP
Witam. Jestem początkującym użytkownikom linuxa i wpadłem na pomysł utworzenia USB z linuxem oraz gra CS:Go. I tutaj pojawia się pytanie jaki linux będzie najlepszy i jaki będzie działał w trybie live. Chodzi o to żeby po odpaleniu linuxa z USB bez instalacji można było zagrać w CS.
Zastanów się czy aby na pewno chcesz system typu Live. Co prawda z opcją persistence możliwy jest zapis danych, które będą dostępne po restarcie maszyny, ale lepszym rozwiązaniem w tym przypadku może okazać się normalna instalacja na pamięci USB. Jeśli chodzi o dystrybucję to ja generalnie polecam EL (RHEL i jego klony: CentOS, Scientific Linux, Oracle Linux) i Debiana stable, ewentualnie Ubuntu LTS, ale prawda jest taka, że nada się praktycznie dowolne współczesne distro przeznaczone na desktop (chociażby Fedora czy openSUSE).

7
Instalacja oprogramowania / Problem z instalacją Steam
« dnia: 2014-12-04, 20:07:02 »
Cytat: Linuch333
O to chodzi?
Chciałeś zamontować partycję której nie posiadasz (/dev/sda6) w katalogu który nie istnieje w twoim systemie (/media/MEDIA7).

Utwórz katalog w którym ma być montowana wybrana partycja NTFS:
sudo mkdir -p /media/D
Do pliku "/etc/fstab" dopisz następującą linię:
/dev/sda5 /media/D ntfs-3g defaults,user,exec,uid=1000,gid=1000 0 0
Możesz tego dokonać następującym poleceniem:
sudo echo "/dev/sda5 /media/D ntfs-3g defaults,user,exec,uid=1000,gid=1000 0 0" >> /etc/fstab
Po restarcie partycja "/dev/sda5" widoczna pod Windows jako "D:" powinna być zamontowana w katalogu "/media/D/".

Jeśli chcesz uniknąć restartu to wykonaj następujące polecenia:
sudo umount /media/B498561F9855E082
sudo mount -a
Teraz powinno Ci się udać utworzyć bibliotekę Steam w którymś z podkatalogów katalogu "/media/D/", np. "/media/D/Steam/".

Jeśli nadal będziesz miał problemy to spróbuj utworzyć odpowiednie dowiązanie symboliczne:
mkdir /media/D/Steam
ln -s /media/D/Steam ~/.local/share/Steam_D
Po tym zabiegu przy tworzeniu biblioteki Steam wskaż katalog "~/.local/share/Steam_D/".

8
Instalacja oprogramowania / Problem z instalacją Steam
« dnia: 2014-12-04, 17:46:14 »
Cytat: Linuch333
Czyli mam od montować ten dysk i ponownie zamontować z uprawnieniami?
Najłatwiej będzie po prostu edytować plik "/etc/fstab", żeby już przy starcie systemu partycja NTFS została zamontowana z odpowiednimi uprawnieniami.

Cytat: Linuch333
PS: Wpisuje /dev/sda6 /media/MEDIA7 ntfs-3g defaults,user,locale=en_US.utf8,exec,uid=1000,gid=1000 0 0 i pisze mi że nie ma takiego pliku ani katalogu.
Podaj proszę następujące dane:

ID użytkownika:
id -u
ID grupy:
id -g
Zawartość katalogu "/media/":
ls -la /media/
Typy partycji:
blkid /dev/sd*
Zawartość pliku "/etc/fstab":
cat /etc/fstab
Aktualne punkty montowania:
cat /proc/mounts
Układ partycji:
sudo fdisk -l

9
Instalacja oprogramowania / Problem z instalacją Steam
« dnia: 2014-12-04, 16:00:07 »
Cytat: pkraszewski
NTFS nie ma funkcjonalności potrzebnej do uruchomienia z niego binarnych programów linuksa. Ot i tyle.

W Windows o tym, czy program jest wykonywany decyduje tylko rozszerzenie (exe). We wszystkich Uniksowatych "wykonywalność" zależy od atrybutu pliku a nie jego nazwy. NTFS nie potrafi przechowywać tych dodatkowych atrybutów. Co jest o tyle dziwne, że w czasach NT4 Windows miał bibliotekę zgodności że standardem POSIX...
NTFS może przechowywać nie tylko dodatkowe atrybuty ale także prawa wykonywania ("Read & Execute"/"Traverse Folder/Execute File"). Co więcej, uprawnienia w ramach NTFS ACL są znacznie bardziej szczegółowe niż ma to miejsce w standardzie POSIX.
Oczywiście istnieje możliwość mapowania uprawnień NTFS na POSIX i na odwrót.

Cytat: Linuch333
Czyli żebym mógł zainstalować grę muszę zmienić system plików na ext4?
Moim zdaniem wystarczy po prostu zamontować partycję NTFS z odpowiednimi uprawieniami.
W sieci bez problemu znajdziesz masę poradników jak tego dokonać.

Cytat: Linuch333
Czy da rade stworzyć partycję rozszerzoną ext4 na partycji podstawowej NTFS? (w windowsie Dysk D)
Możesz stworzyć plikopartycję praktycznie dowolnego typu, ale w tym przypadku raczej nie będzie to konieczne.

10
Bash, skrypty powłoki / [skrypt BASH] prawo do zapisu.
« dnia: 2014-12-02, 22:23:49 »
Można to zrealizować w następujący sposób:
#!/usr/bin/env bash

if [[ -w "$1" ]]; then
  echo "ok"
else
  echo "fail" >&2
  exit 1
fi
wklejka 1

Dobrym pomysłem może być wykorzystanie w takim przypadku negacji:
#!/usr/bin/env bash

if [[ ! -w "$1" ]]; then
  echo "fail" >&2
  exit 1
fi

echo "ok"
wklejka 2

Skrócona wersja:
#!/usr/bin/env bash

[[ -w "$1" ]] || { echo "fail" >&2; exit 1; }

echo "ok"
wklejka 3

11
Bash, skrypty powłoki / Pobranie każdej linij pliku po kolej.
« dnia: 2014-11-20, 17:27:38 »
Cytat: NickOver
Więc tak. Mam plik w którym sa adresy stron internetowych. Dla każdej z nich muszą być przeprowadzone testy które sa w folderze. Chodzi mi o to aby pobierało pierwszą linijke do zmiennej a następnie wykonują się wszystkie testy. Potem zmienna musi być nadpisywana przez zawartość 2 lijnijki i znów wszystkie testy... Oto kod:
#!/bin/bash
lock_file='itLives.lock'

if [ -e $lock_file ]
then
modtime=`stat -c %Y itLives.lock`
nowtime=`date +%s`
modtime=$((modtime+0))
nowtime=$((nowtime-900))

if [ $nowtime -gt $modtime ]
then
rm -f $lock_file
else
#         echo $lock_file
       exit 1;
fi
fi

touch $lock_file


all="ALL:ok"
results=""

pages= LINIJKA Z PLIKU PAGES.TXT

for test in `ls tests`
do
result=`tests/$test$pages`
if [ "$result" != "ok" ]
  then
all=""

if [ "$results" != "" ]
then
results=$results", "
fi

results=$results$test":"$result
fi
done

result=$all$results

lastResult=`cat lastResult.log 2> /dev/null`


#if [ "$lastResult" != "$result" ]
#then
#for notifications in `ls notifications`
#do
# notifications/$notifications "`date +%H:%M:%S`@`hostname`: $result"
#done

echo $result > lastResult.log
echo "`date` - $result" >> results.log
#fi

rm -f $lock_file
Mógłbyś dopisać do tego to pobieranie linijek? Jest to mój pierwszy skrypt w tym języku i srednio go rozumiem. Mogę się odwdzięczyć czyms w php'ie :D
Szkic skryptu mógłby wyglądać tak:
#!/usr/bin/env bash

cd "$(dirname $(readlink -f $0))"

# dla każdej linii w pliku "pages.txt"
while read -r line; do
  results=""
  # jeśli linia jest pusta to przejdź do następnej
  [[ "$line" == "" ]] && continue
  # dla każdego pliku w katalogu tests/
  for test in tests/*; do
    # jeśli podany plik nie jest plikiem wykonywalnym to przejdź do następnego
    [[ -x "$test" ]] || continue
    # przypisz wynik działania testu do zmiennej results
    result=$( "$test" "$line" 2> /dev/null )
    # alternatywnie można posłużyć się statusem wyjścia dla ostatniej komendy
    status="$?"
    # jeśli test wykonał się poprawnie to przejdź do następnego
    [[ "$result" == "ok" ]] && continue
    # dodaj wynik testu do wszystkich wyników
    [[ "$results" == "" ]] || results+=", "
    results+="$(basename $test):$result"
  done
  [[ "$results" == "" ]] && results="ALL:ok"
 
  # wypisanie wyników dla danego adresu
  echo "$line: $results"
done < "pages.txt"
wklejka

12
Poniższy skrypt sortuje użytkowników po ich id a następnie zapisuje pozycje wg id grupy do odpowiednich plików.
#!/usr/bin/env bash

sort -t':' -k 3 -n /etc/passwd | while read -r line; do echo "$line" >> $(awk -F':' '{print $4 ".txt"}' <<< "$line"); done
Wersja skryptu bez sortowania:
#!/usr/bin/env bash

while read -r line; do echo "$line" >> $(awk -F':' '{print $4 ".txt"}' <<< "$line"); done

13
Bash, skrypty powłoki / Pomoc poczatkującej
« dnia: 2014-09-26, 17:12:14 »
Zakładając, że wiersze miałyby być oddzielone pustymi liniami to skrypt mógłby wyglądać tak:
#!/usr/bin/env bash

c() {
  awk 'BEGIN {l=0; w=0} m=/^[[:blank:]]*$/ {if (l) print w; l=0; w=0} !m {l++; w+=NF} END {if (l) print w}' "${1:-/dev/stdin}" 2>/dev/null
}

if [[ "$#" -gt 0 ]]; then
  for arg; do
    [[ -r "$arg" ]] || continue
    c "$arg"
  done
else
  c
fi
Chyba nie muszę szczegółowo tłumaczyć głównej konstrukcji. Jeśli podane są jakieś argumenty to skrypt traktuje je jako nazwy plików do sprawdzenia a w przeciwnym wypadku czyta dane ze standardowego wejścia.
Pokrótce omówię zagnieżdżony skrypt AWK.

BEGIN {l=0; w=0}
Przed przetwarzaniem kolejnych linii dokonujemy inicjalizacji licznika linii (l) oraz licznika słów (w).

m=/^[[:blank:]]*$/ {if (l) print w; l=0; w=0} !m {l++; w+=NF}
Jeśli aktualnie analizowana linia jest pusta (podany wzorzec uwzględnia linie zawierające co najwyżej same białe znaki) to wypisujemy stan licznika w jeśli licznik l on różny od zera. Musimy także pamiętać o ich wyzerowaniu.
W przeciwnym wypadku (gdy linia nie pasuje do wzorca m, czyli zawiera tekst) inkrementujemy licznik l oraz zwiększamy licznik w o liczbę słów w linii (NF oznacza liczbę pól).

END {if (l) print w}
Na koniec (po przejrzeniu wszystkich linii) wypisujemy wartość licznika w jeśli wartość licznika l jest niezerowa. Jest to potrzebne ze względu na to, że dane mogą kończyć się niepustą linią a bez tego ostatni "wierszyk" nie zostałby uwzględniony.

14
Bash, skrypty powłoki / Pomoc poczatkującej
« dnia: 2014-09-25, 18:01:50 »
Cytat: Daisy19
Hej, jestem totalnie zielona z Linuksa dopiero się uczę wiec i pytanie będzie banalne.

Otóż w jednym pliku mam przykładowo 2 wierszyki dla dzieci , chce obliczyć ilość wyrazów tylko jednego z nich.

Umiem to zrobić używając wc -w i head i tail  ,ale liczę ręcznie ile ilość linii wiersza by odpowiednio dopasować polecenie. Wiem jednak ze przy plikach z masą linii nie jest to dobre rozwiązanie .
Czy jest jakiś inny sposób albo polecenie ???

Pozdrawiam
A w jaki sposób są oddzielone od siebie te "wierszyki"? Zawsze są tylko dwa czy ich liczba może być zmienna? Możesz podać jakiś przykład?

15
Komunikatory / Czy jest aktualizacja skypa na mandrivę?
« dnia: 2014-09-25, 15:13:06 »
Cytat: mandre
no właśnie problem w tym, że nic nie działa
A próbowałeś ręcznie zainstalować wersję "Dynamic"? Jest rozpowszechniana w postaci skompresowanego archiwum tarball skype-4.3.0.37.tar.bz2.
Możesz także pokusić się o przerobienie jednego z dostępnych pakietów Skype dla EL6:
- skype-4.3.0.37-2.el6.src.rpm (skype.spec)
- skype-4.3.0.37-2.el6.nux.src.rpm

Strony: [1] 2 3 ... 7